Package be.fgov.ehealth.dics.core.v4.compounding.common

# Class CompoundingFormulaKeyType

java.lang.Object
be.fgov.ehealth.dics.core.v4.compounding.common.CompoundingFormulaKeyType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ConsultCompoundingFormulaType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:17:33+02:00", comments="JAXB RI v4.0.5") public class CompoundingFormulaKeyType extends Object implements Serializable

Java class for CompoundingFormulaKeyType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CompoundingFormulaKeyType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="Code" use="required" type="{urn:be:fgov:ehealth:dics:core:v4:core}DmppCodeType" />
           <attribute name="CodeType" type="{urn:be:fgov:ehealth:dics:core:v4:core}DmppCodeTypeType" default="CNK" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CompoundingFormulaKeyType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCode()`
  Formulas are uniquely identified by a CNK code.
  `String`
  `getCodeType()`
  Code Type for Compounding Formulas is always CNK.
  `void`
  `setCode(String value)`
  Sets the value of the code property.
  `void`
  `setCodeType(String value)`
  Sets the value of the codeType property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CompoundingFormulaKeyType

    public CompoundingFormulaKeyType()

- ## Method Details

  - ### getCode

    public String getCode()
    Formulas are uniquely identified by a CNK code.
    Returns:
      possible object is `String`

  - ### setCode

    public void setCode(String value)
    Sets the value of the code property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCode()`

  - ### getCodeType

    public String getCodeType()
    Code Type for Compounding Formulas is always CNK. Code Type is present in the KeyType for uniformity with other SAM components.
    Returns:
      possible object is `String`

  - ### setCodeType

    public void setCodeType(String value)
    Sets the value of the codeType property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCodeType()`